Last modified: 2014-08-06 16:53:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37445 - [SMW] [ROADMAP] [OPEN] RequestContext refactoring
[SMW] [ROADMAP] [OPEN] RequestContext refactoring
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Semantic MediaWiki (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 13309
  Show dependency treegraph
 
Reported: 2012-06-10 07:32 UTC by MWJames
Modified: 2014-08-06 16:53 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MWJames 2012-06-10 07:32:47 UTC
This request is used to track the corresponding roadmap point.

## Description 
When MW 1.18 becomes the min requirement, we can make use of the RequestContext functionality and get rid of many many globals. Also need to figure out if anything in SMW should derive from this class or at least implement RequestContext.

## Package
SMW

## Dependencies 
N/A

## Release
Not defined
Comment 1 MWJames 2012-06-10 07:39:42 UTC
Technical details can be found at [1]

[1] http://www.mediawiki.org/wiki/Manual:RequestContext
Comment 2 MWJames 2013-01-20 15:29:51 UTC
Base classes (abstract or final) that are context aware (SMW 1.9):

SMW\ResultPrinter (I3c056c5b)
SMW\Highlighter (I955e3b08)
SMW\ConceptPage (I5eccab83)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links